/**
 * Copyright (c) 2000-2017 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * pSubscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portlet.workflowdefinitions.action;

import com.liferay.portal.security.permission.PermissionChecker;
import com.liferay.portal.util.PropsValues;

/**
 * @author Inácio Nery
 */
public class WorkflowDefinitionPermissionChecker {

	public static boolean canPublishWorkflowDefinition(
		PermissionChecker permissionChecker) {

		if (permissionChecker == null) {
			return true;
		}

		if (PropsValues.WORKFLOW_COMPANY_ADMINISTRATOR_CAN_PUBLISH &&
			permissionChecker.isCompanyAdmin()) {

			return true;
		}

		if (permissionChecker.isOmniadmin()) {
			return true;
		}

		return false;
	}

}